# Note to Linux-Mandrake packagers:
#   - mail me (<baudens@mandrakesoft.com>) before modify this spec
#   - don't use macrozification for this spec

%define prefix	/usr
%define url ftp://ftp.lip6.fr/pub/linux/Wine/development
%define version 20010731
%define release 2mdk

Summary:	MS-Windows emulator
Name:		wine
Version:	%{version}
Release:	%{release}
License:	Freely distributable
Group:		Emulators
Packager:	David BAUDENS <baudens@mandrakesoft.com>

Source0:	%{url}/Wine-%{version}.tar.bz2

Source1:	wine-config.pl
Source2:	wine-launcher.sh

Patch:		wine-20010731-mdkconf.patch.bz2

URL:		http://www.winehq.com/
ExclusiveArch:	%ix86
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/bin/sed, /bin/awk, /bin/egrep
Obsoletes:	wine-debug < 20000430
BuildRequires:	bison flex gpm-devel Mesa-common-devel ncurses-devel sgml-tools xpm-devel
Requires: setup >= 2.2.0-10mdk

%description
Wine, the Windows emulator, allows running Windows 3.*, Windows 95/98 and
Windows NT programs on a i386 (or compatible) machine running X11.

It is still alpha level code; don't expect everything to work.

%package devel
Requires:	%{name} = %{version}-%{release}
Summary:	MS-Windows emulator - Devel files
Group:		Emulators

%description devel
Wine, the Windows emulator, allows running Windows 3.*, Windows 95/98/ME and
Windows NT programs on a i386 (or compatible) machine running X11.

This package provides the necessary development libraries and include files
to allow you to develop programs using Wine environment.

%prep

%setup -q
%patch0 -p1 -b .chmou

%build
find . -type 'd' -name 'CVS'|xargs rm -rf

# Make RPMLint happy (we can't fix SOVERSION, it doesn't build with)
# perl -p -i -e 's|,\-rpath.*|.\\\$(SOVERSION)\"|' configure.in
perl -p -i -e 's|,\-rpath.*|\"|' configure.in
autoconf

%configure \
	--enable-dll \
	--with-x \
	--prefix=%{prefix} \
	--libdir=%{_libdir}/wine \
	--includedir=%{prefix}/include/wine \
	--sysconfdir=/etc \
	--enable-opengl
make depend
%make
make -C documentation wine-doc/index.html

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall libdir=$RPM_BUILD_ROOT/usr/lib/wine includedir=$RPM_BUILD_ROOT/usr/include/wine LDCONFIG=/bin/true

install -m 0755 tools/fnt2bdf $RPM_BUILD_ROOT%prefix/bin
install -d -m 0755 $RPM_BUILD_ROOT/etc/

for i in system Desktop Favorites Fonts NetHood "Start Menu/Programs/Startup" \
         Recent SendTo ShellNew system32 Profiles/Administrator; do
	mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/windows/$i"
done
mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/Program Files/Common Files"
mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/My Documents"

for i in shell.dll shell32.dll winsock.dll wnsock32.dll; do
	touch $RPM_BUILD_ROOT/var/lib/wine/windows/system/$i
done
touch $RPM_BUILD_ROOT/var/lib/wine/autoexec.bat
touch $RPM_BUILD_ROOT/var/lib/wine/config.sys
touch $RPM_BUILD_ROOT/var/lib/wine/windows/win.ini

cat >$RPM_BUILD_ROOT/var/lib/wine/windows/system.ini <<EOF
[mci]
cdaudio=mcicda.drv
sequencer=mciseq.drv
waveaudio=mciwave.drv
avivideo=mciavi.drv
videodisc=mcipionr.drv
vcr=mciviscd.drv
MPEGVideo=mciqtz.drv
EOF

mv %buildroot/%{prefix}/bin/wine %buildroot/%{prefix}/bin/winereal
install -m755 %{SOURCE2} %buildroot/%{prefix}/bin/wine
mkdir -p %{buildroot}/usr/share/%{name}
install -m644 ./documentation/samples/config %{buildroot}/usr/share/%{name}/wine.config.default
install -D -m755 %{SOURCE1} %{buildroot}/usr/share/%{name}/wine-config

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cat >$RPM_BUILD_ROOT/etc/rc.d/init.d/wine <<EOF
#!/bin/sh
#
# wine		Allow users to run Windows(tm) applications by just clicking
#		on them (or typing ./file.exe)
#
# chkconfig: 2345 99 10
# description: Allow users to run Windows(tm) applications by just clicking \\
# on them (or typing ./file.exe)
#
# (c) 2000 Red Hat, Inc.
#
case "\$1" in
  start)
    /sbin/modprobe binfmt_misc &>/dev/null
    echo ':windows:M::MZ::/usr/bin/wine:' >/proc/sys/fs/binfmt_misc/register
    echo ':windowsPE:M::PE::/usr/bin/wine:' >/proc/sys/fs/binfmt_misc/register
    ;;
  stop)
    echo "-1" >/proc/sys/fs/binfmt_misc/windows
    echo "-1" >/proc/sys/fs/binfmt_misc/windowsPE
    ;;
  *)
    echo "Usage: \$0 {start|stop}"
esac
EOF
chmod 0755 $RPM_BUILD_ROOT/etc/rc.d/init.d/wine

%clean
rm -fr $RPM_BUILD_ROOT

%post 
grep -q "^/usr/lib/wine$" /etc/ld.so.conf || echo "/usr/lib/wine" >> /etc/ld.so.conf

/sbin/ldconfig

%_post_service %{name}

%postun
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v -e "/usr/X11R6/lib/wine" -e "/usr/lib/wine" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi

/sbin/ldconfig

%preun
%_post_service %{name}

%files
%defattr(-,root,root)
%doc documentation/*
%doc ANNOUNCE AUTHORS BUGS ChangeLog DEVELOPERS-HINTS LICENSE README WARRANTY
%attr(0775, root, wine) %dir /var/lib/wine
%attr(0775, root, wine) %dir /var/lib/wine/windows
%attr(0775, root, wine) %dir /var/lib/wine/windows/system
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles/Administrator
%attr(0775, root, wine) %dir /var/lib/wine/windows/Desktop
%attr(0775, root, wine) %dir /var/lib/wine/windows/Favorites
%attr(0775, root, wine) %dir /var/lib/wine/windows/Fonts
%attr(0775, root, wine) %dir /var/lib/wine/windows/NetHood
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs/Startup"
%attr(0775, root, wine) %dir /var/lib/wine/windows/Recent
%attr(0775, root, wine) %dir /var/lib/wine/windows/SendTo
%attr(0775, root, wine) %dir /var/lib/wine/windows/ShellNew
%attr(0775, root, wine) %dir /var/lib/wine/windows/system32
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files"
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files/Common Files"
%attr(0775, root, wine) %dir "/var/lib/wine/My Documents"
/usr/lib/wine/lib*.so*
%prefix/bin/*
%{_mandir}/man*/*
/var/lib/wine/windows/system/*dll
%config(noreplace) /var/lib/wine/autoexec.bat
%config(noreplace) /var/lib/wine/config.sys
%attr(0664, root, wine) %config /var/lib/wine/windows/win.ini
%attr(0664, root, wine) %config /var/lib/wine/windows/system.ini
%config(noreplace) /etc/rc.d/init.d/*
/usr/share/wine/*

%files devel
%defattr(-,root,root)
%prefix/include/*

%changelog
* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %prefix
- changed %post so it is only done the *first* time it is installed 
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
